Subject: Re: bug#10195: 24.0.92; M-w may no longer provide visual feedback

From: Michael Welsh Duggan <[email-masked]>
Date: Sat, 03 Dec 2011 00:31:36 -0500

Eli Zaretskii <[email-masked]> writes:

>> From: Jay Berkenbilt <[email-masked]>
>> Date: Fri, 02 Dec 2011 11:09:53 -0500
>> 
>> Type some text.  Save it in the kill ring with
>> 
>> C-a C-SPC M-f M-w
>> 
>> Then do this again:
>> 
>> M-w
>> 
>> In emacs 23, the cursor would bounce between the point and the mark the
>> second time M-w was pressed, since the highlighting of the region turned
>> off after the first time.  Or, if transient-mark-mode is nil, then the
>> first M-w would bounce the cursor between the point and mark.  In
>> emacs24, M-w seems to never cause the cursor to bounce between the point
>> and mark.
>
> It still does that to me, in the current trunk tip.
>
> Does it work in "emacs -Q" for you?
>

It appears to be inconsistent.  Sometimes it will happen, sometimes it
will not.  I first noticed this many months ago, but at the time
couldn't cause it to happen on command, and as such forgot about it for
a while.  Today, I tried again with emacs -Q built from bzr revno
106562.  I definitely see this behavior, without fail.

  emacs -Q
  (In *scratch* buffer)
  C-p C-p C-p C-SPC C-e M-w

It's a lot more noticeable with tmm off.

GNU Emacs 24.0.92.1 (i686-pc-linux-gnu, X toolkit) of 2011-11-30 on maru

-- 
Michael Welsh Duggan
([email-masked])